# Forgejo conf

Configuration for my instance of Forgejo using podman and podman-compose.

## Prerequisite

- `podman` & `podman-compose`  installed

- The domain/subdomain for the forge, here `git.marcha.me`

- Open ports 22, 80, 443, 2222

## Deployment

Clone the repository in a dedicated folder. `cd` in the folder then run `podman-compose up -d`

Stop with `podman-compose down`

### SSH configuration

To use git with SSH, you'll need an SSH key

`ssh-keygen -t ed25519 -a 100`

Copy/Paste the public key in Forgejo. 
Then on your device, update your ssh config:

`nano ~/.ssh/config`

Add the following

```
Host forge        
 User git
 IdentityFile ~/.ssh/git
 Hostname git.marcha.me
 Port 2222
```

SSH for the forge is now working in using git@forge. Ex: `git clone git@forge:Matt/ecofse.git ecofse`


## SSL 

SSL is setup on a very basic conf with let's encrypt. Auto-renewal seems to need a pod restart

`podman-compose restart`
